Accept a pending image share
curl --request POST \
--url https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/accept \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/accept"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}images
Accept a pending image share
Accepts a pending cross-account image share and copies the image metadata to the target workspace. Caller must be an admin of the target workspace.
POST
/
pending-image-shares
/
{pendingShareId}
/
accept
Accept a pending image share
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
ID of the pending image share
Query Parameters
When true, overwrite conflicting tags in the target workspace instead of returning 409.
Last modified on July 1, 2026
Was this page helpful?
⌘I
